AdfRichInputSearch.$InitSubclass$ = function $AdfRichInputSearch$$InitSubclass$$() {
  this.$_SELECTION_PROPERTY$ = "_selection";
};
$goog$exportSymbol$$("AdfRichInputSearch.InitSubclass", AdfRichInputSearch.$InitSubclass$);
AdfRichInputSearch.$CRITERIA_STARTS_WITH$ = "STARTS_WITH";
$goog$exportSymbol$$("AdfRichInputSearch.CRITERIA_STARTS_WITH", AdfRichInputSearch.$CRITERIA_STARTS_WITH$);
AdfRichInputSearch.$CRITERIA_CONTAINS$ = "CONTAINS";
$goog$exportSymbol$$("AdfRichInputSearch.CRITERIA_CONTAINS", AdfRichInputSearch.$CRITERIA_CONTAINS$);
AdfRichInputSearch.$CRITERIA_ATTRIBUTE_STARTS_WITH$ = "ATTRIBUTE_STARTS_WITH";
$goog$exportSymbol$$("AdfRichInputSearch.CRITERIA_ATTRIBUTE_STARTS_WITH", AdfRichInputSearch.$CRITERIA_ATTRIBUTE_STARTS_WITH$);
AdfRichInputSearch.$CRITERIA_VALUE_EQUALS$ = "V";
$goog$exportSymbol$$("AdfRichInputSearch.CRITERIA_VALUE_EQUALS", AdfRichInputSearch.$CRITERIA_VALUE_EQUALS$);
AdfRichInputSearch.prototype.$broadcast$ = function $AdfRichInputSearch$$$broadcast$$($event$$29$$) {
  AdfRichInputSearch.$superclass$.$broadcast$.call(this, $event$$29$$);
  $event$$29$$ instanceof $AdfAutoCompletingEvent$$ && this.$getPeer$().$delayedHandleAutoCompletingEvent$($event$$29$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichInputSearch.prototype.broadcast", {$broadcast$:AdfRichInputSearch.prototype.$broadcast$});
AdfRichInputSearch.prototype.$getDisplayedValue$ = function $AdfRichInputSearch$$$getDisplayedValue$$() {
  return this.$getPeer$().$getDisplayedValue$(this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichInputSearch.prototype.getDisplayedValue", {$getDisplayedValue$:AdfRichInputSearch.prototype.$getDisplayedValue$});
AdfRichInputSearch.prototype.$getSearchSections$ = function $AdfRichInputSearch$$$getSearchSections$$() {
  return this.$getPeer$().$getSearchSections$(this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichInputSearch.prototype.getSearchSections", {$getSearchSections$:AdfRichInputSearch.prototype.$getSearchSections$});
AdfRichInputSearch.prototype.getSelection = function $AdfRichInputSearch$$getSelection$() {
  return this.$getProperty$(AdfRichInputSearch.$_SELECTION_PROPERTY$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichInputSearch.prototype.getSelection", {getSelection:AdfRichInputSearch.prototype.getSelection});
AdfRichInputSearch.prototype.$getSuggestions$ = function $AdfRichInputSearch$$$getSuggestions$$() {
  return this.$getPeer$().$getSuggestions$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichInputSearch.prototype.getSuggestions", {$getSuggestions$:AdfRichInputSearch.prototype.$getSuggestions$});
AdfRichInputSearch.prototype.$ComparePropertyValues$ = function $AdfRichInputSearch$$$ComparePropertyValues$$($propName$$24$$, $oldValues$$, $newValues$$1$$) {
  return $propName$$24$$ == AdfUIValue.VALUE ? this.$getPeer$().$compareValues$($oldValues$$, $newValues$$1$$) : $propName$$24$$ == AdfRichInputSearch.$_SELECTION_PROPERTY$ ? AdfRichInputSearch.$_compareSelections$($oldValues$$, $newValues$$1$$) : AdfRichInputSearch.$superclass$.$ComparePropertyValues$.call(this, $propName$$24$$, $oldValues$$, $newValues$$1$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichInputSearch.prototype.ComparePropertyValues", {$ComparePropertyValues$:AdfRichInputSearch.prototype.$ComparePropertyValues$});
AdfRichInputSearch.prototype.$GetChanges$ = function $AdfRichInputSearch$$$GetChanges$$() {
  var $changes$$4$$ = AdfRichInputSearch.$superclass$.$GetChanges$.call(this);
  if ($changes$$4$$[AdfRichInputSearch.$_SELECTION_PROPERTY$]) {
    var $agent$$5$$ = $AdfAgent$$.$AGENT$, $doc$$6_node$$18$$ = $agent$$5$$.$createXmlDocument$(), $parentNode$$1$$ = $doc$$6_node$$18$$.createElement("TEMP");
    $doc$$6_node$$18$$.appendChild($parentNode$$1$$);
    $doc$$6_node$$18$$ = $AdfMarshalingService$$.getDefault().$marshal$($parentNode$$1$$, $changes$$4$$[AdfRichInputSearch.$_SELECTION_PROPERTY$], null);
    $changes$$4$$[AdfRichInputSearch.$_SELECTION_PROPERTY$] = $agent$$5$$.$getNodeXml$($doc$$6_node$$18$$);
  }
  return $changes$$4$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichInputSearch.prototype.GetChanges", {$GetChanges$:AdfRichInputSearch.prototype.$GetChanges$});
AdfRichInputSearch.prototype.$setTextAndShowSuggestions$ = function $AdfRichInputSearch$$$setTextAndShowSuggestions$$($newText$$3$$) {
  $AdfAssert$$.$assertString$($newText$$3$$);
  var $readOnly$$ = this.getReadOnly(), $disabled$$1$$ = this.getDisabled();
  $readOnly$$ || $disabled$$1$$ ? $AdfLogger$$.$LOGGER$.warning("AdfRichInputSearch.prototype.setTextAndShowSuggestions called when readOnly or disabled true. New value ignored.") : this.$getPeer$().$setTextAndShowSuggestions$(this, $newText$$3$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichInputSearch.prototype.setTextAndShowSuggestions", {$setTextAndShowSuggestions$:AdfRichInputSearch.prototype.$setTextAndShowSuggestions$});
AdfRichInputSearch.$_compareSelections$ = function $AdfRichInputSearch$$_compareSelections$$($oldSelections$$, $newSelections$$) {
  $oldSelections$$ = $oldSelections$$ ? $oldSelections$$ : [];
  $newSelections$$ = $newSelections$$ ? $newSelections$$ : [];
  $AdfAssert$$.$assertArray$($oldSelections$$);
  $AdfAssert$$.$assertArray$($newSelections$$);
  if ($newSelections$$ == $oldSelections$$) {
    return !0;
  }
  if ($newSelections$$.length != $oldSelections$$.length) {
    return !1;
  }
  var $i$$44$$ = 0, $len$$5$$ = $newSelections$$.length;
  a: for (;$i$$44$$ < $len$$5$$;$i$$44$$++) {
    for (var $newKeyValue$$ = $newSelections$$[$i$$44$$].key, $j$$6$$ = 0;$j$$6$$ < $len$$5$$;$j$$6$$++) {
      if ($newKeyValue$$ == $oldSelections$$[$j$$6$$].key) {
        if ($oldSelections$$[$j$$6$$].data == $newSelections$$[$i$$44$$].data || $AdfUIUtils$$.$compareObjects$($oldSelections$$[$j$$6$$].data, $newSelections$$[$i$$44$$].data)) {
          continue a;
        }
        break;
      }
    }
    return !1;
  }
  return !0;
};
